package f1.entity;

import com.fasterxml.jackson.annotation.JsonProperty;

public class RaceResultItem {
    private int pos;

    @JsonProperty("car_num")
    private int carNum;

    private String name;
    private String team;

    @JsonProperty("finish_time")
    private String finishTime;

    private int score;

    public RaceResultItem(int pos, int carNum, String name, String team, String finishTime, int score) {
        this.pos = pos;
        this.carNum = carNum;
        this.name = name;
        this.team = team;
        this.finishTime = finishTime;
        this.score = score;
    }

    public int getPos() {
        return pos;
    }

    public void setPos(int pos) {
        this.pos = pos;
    }

    public int getCarNum() {
        return carNum;
    }

    public void setCarNum(int carNum) {
        this.carNum = carNum;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTeam() {
        return team;
    }

    public void setTeam(String team) {
        this.team = team;
    }

    public String getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(String finishTime) {
        this.finishTime = finishTime;
    }

    public int getScore() {
        return score;
    }

    public void setScore(int score) {
        this.score = score;
    }
}
